登录 注册

登录

已解决 白站长,救命啊,为何有些机器能装,有些机器装不上?

更多
2014年03月12日 13:50 #1 作者: 吴涛
我试了4部电脑,有2部装不上joomla 3.2.3,这4部电脑都是win7 64位的(同一个Ghost装的),配置如下:

问题出在如下:

然后就返回到这个界面:


白站长,急求!

登录 或者   注册一个会员帐号 来参与讨论

更多
2014年03月12日 15:05 #2 作者: 吴涛
而且所有浏览器都用过了,还是那个问题啊,哪位大神打救下,还需要设置哪里吗?我严格按照视频做的

登录 或者   注册一个会员帐号 来参与讨论

更多
2014年03月12日 15:27 #3 作者: Joomla之门
这个问题比较怪异,发生率也比较高,已经有很多用户碰到过。解决的办法也不是非常确定,只能提供几个方案你逐个(或者全部)试试看:

1、关闭电脑上运行的其它程序,尤其是占用 80 端口(假设你的 apache 服务器使用默认 80 端口)的软件例如 Skype ;
2、打开 XAMPP 服务器的 php.ini ,将下面两项参数的值增大,例如增加到:
max_execution_time = 3000
memory_limit = 256M

修改之后必须重新启动 Apache 。

注意:这个内存的分配要根据电脑情况来决定,比如我的笔记本内存共有 8GB,我给 XAMPP 分配了 900MB 。

3、如果以上方法还不行,打开 /installation/SQL/mysql/joomla.sql 这个文件,将全部的:
ENGINE=InnoDB

替换为:
ENGINE=MyIsam

然后重新运行安装程序。

如果还是无法顺利安装,我只能建议你在正式虚拟主机上(远程主机)安装。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2014年03月12日 16:38 #4 作者: 吴涛
谢谢,白站长,我已经解决了,我解决的办法是:吧xampp的版本降低,我本来是装xampp1.8.3最新版的,现在把他降为xampp1.8.2就没问题了,希望能帮到大家 :evil:
下列用户已致谢:: Joomla之门

登录 或者   注册一个会员帐号 来参与讨论

更多
2014年03月12日 16:45 #5 作者: Joomla之门
感谢分享你的经验!

怪不得我从来没碰到过,我一直使用比较旧的 XAMPP 1.7.4 版本,因为它的 PHP 已经是 5.3.21,满足 Joomla 3 的要求,所以我就没再升级过 XAMPP 。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论